<%@ Page language="c#" Inherits="CardioLog.CLPage.SegmentChooser, CardioLog_deploy"  %>

<%@ Register TagPrefix="popup" TagName="top" Src="/CardioLog/Includes/PopupTop.ascx" %>
<%@ Register TagPrefix="popup" TagName="bottom" Src="/CardioLog/Includes/PopupBottom.ascx" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<LINK rel="stylesheet" type="text/css" href="/CardioLog/Styles/2010_general.css"></LINK>
		<LINK rel="stylesheet" type="text/css" href="/CardioLog/Styles/2010_popup_selectscrollpanel.css"></LINK>
		<script language="jscript" src="/CardioLog/scripts/json2.js"></script>
		<script src="/CardioLog/MarketingSuite/Assets/Scripts/data.aspx?action=getgoals"></script>
		<script src="/CardioLog/MarketingSuite/Assets/Scripts/data.aspx?action=getcountries"></script>
		<script src="/CardioLog/MarketingSuite/Assets/Scripts/data.aspx?action=getsegments"></script>
		<!-- required by qBubble -->
        <script type="text/javascript" src="/Cardiolog/Scripts/jquery1.7.js"></script>
        <script type="text/javascript" src="/Cardiolog/Scripts/general.aspx"></script>
        <!-- /required by qBubble -->
		<script>
			var $ = jQuery;
			var popupArguments;
			var segmentsNum = 0;

			var lastSelectedCategoryValue = new Array();
			var categories = new Array();
			var filters = new Array();
			var selectedSegments = new Array();
			var selectedCategory = null;

			var loaded = 0;

            var reportsHideGoalFilter = Array(); // hide goal filter only
            var reportsHideNewFilters = Array(); // hide all new filters (traffic sources, goal, country)
            var reportsHideCategoriesFilter = Array(167,168,171,172); // hide all (new filters and categories) for Navigation Summary, Entrance Paths, Visitor Profile, Visitor Activity

            var isValidSegments = "<%= CardioLog.API.ProductLicense.ProductFeatures.IsValidSegments%>";

            function setPopupArguments(arguments) {
				popupArguments = arguments.popupArguments[0];
				document.Status = popupArguments.self.Status || popupArguments.self.document.Status;
				document.Ajax = popupArguments.self.Ajax || popupArguments.self.document.Ajax;
                
                if (isValidSegments == "True") {  
				    loadSegments();
                    loadGoals();
				    loadCountries();

                    document.getElementById("predefinedSegmentsSection").disabled = true;
                    document.getElementById("predefinedSegmentsRadioButton").checked = false;
                    document.getElementById("visitorSegmentsDiv").disabled = false;
                    document.getElementById("SegmentsRadioButton").checked = true;
              
                    // Disable un-supported segments according to the report type
                    disableSegments();
                }

                initsegments();
                drawCategories();
                
            }

            function getValue(name, defaultValue) {
		        var re = new RegExp("^[^$]*<"+name+">(.*?)<\/"+name+">[^$]*$", "i");
		        var value = prefs.replace(re, "$1");
		        if (value == prefs || value == "") return defaultValue;
		        else return value.replace(/\&amp;/g, "&");;
	        }

            function disableSegments() {
                if (!popupArguments.pagePreferences) { // show all (do not disable segments) for page preferences
                    prefs = popupArguments.self.document.all["preferences"].getPreferences();
                    reportType = getValue("REPORTTYPE", false);

                    hideGoalFilter = false;
                    hideNewFilters = false;
                    hideNewFiltersAndCategories = false;
                    for (i=0;i<reportsHideGoalFilter.length;i++){
                        if (reportType == reportsHideGoalFilter[i]) {
                            hideGoalFilter = true;
                            break;
                        }
                    }
                    for (i=0;i<reportsHideNewFilters.length;i++){
                        if (reportType == reportsHideNewFilters[i]) {
                            hideNewFilters = true;
                            break;
                        }
                    }
                    for (i=0;i<reportsHideCategoriesFilter.length;i++){
                        if (reportType == reportsHideCategoriesFilter[i]) {
                            hideNewFiltersAndCategories = true;
                            break;
                        }
                    }

                    if (hideGoalFilter) disableSegmentFields("Goal");
                    if (hideNewFilters) {
                        disableSegmentFields("Goal");
                        disableSegmentFields("Country");
                        disableSegmentFields("Source");
                        disableSegmentFields("Medium");
                        disableSegmentFields("Term");
                        disableSegmentFields("Campaign");
                        disableSegmentFields("Content");
                    }
                    if (hideNewFiltersAndCategories) {
                        disableSegmentFields("Goal");
                        disableSegmentFields("Country");
                        disableSegmentFields("Source");
                        disableSegmentFields("Medium");
                        disableSegmentFields("Term");
                        disableSegmentFields("Campaign");
                        disableSegmentFields("Content");
                        disableSegmentFields("");
                    }

                    if (hideGoalFilter || hideNewFilters || hideNewFiltersAndCategories) {
                        // Hide pre-defined segments (until we hide the ones which contain un-supported segments) and visitor segments title
                        document.getElementById("predefinedSegmentsDiv").disabled = true;
                        document.getElementById("segmentsDiv").disabled = true;
                    }
                }
            }

            function disableSegmentFields(name) {
                switch (name) {
					case "Source":
					case "Medium":
					case "Term":
					case "Campaign":
					case "Content":
							document.getElementById(name.toLowerCase() + "Select").disabled = true;
							document.getElementById("txt" + name).disabled = true;
                            document.getElementById("trafficSourcesTitle").disabled = true;
                            document.getElementById("trafficSourcesTable").disabled = true;
							break;
					case "Goal":
					case "Country":
							document.getElementById(name.toLowerCase() + "Select").disabled = true;
                            document.getElementById(name.toLowerCase() + "Title").disabled = true;
                            document.getElementById(name.toLowerCase() + "Table").disabled = true;
							break;
					default:
                            document.getElementById("categoriesTitleTable").disabled = true;
							document.getElementById("categoriesSectionTable").disabled = true;
							break;
				}
            }

			function initsegments() {
				selectedSegments = JSON.parse(popupArguments.selectedSegments);
				if (selectedSegments) segmentsNum = selectedSegments.length;

				// Set selected segments
				for (var i in selectedSegments) {
					if (!selectedSegments.hasOwnProperty(i)) continue;
					id = selectedSegments[i].id;
					cid = selectedSegments[i].cid;
					value = selectedSegments[i].value;
					name = selectedSegments[i].name;
					condition = selectedSegments[i].condition;
					switch (name) {
					case "Source":
					case "Medium":
					case "Term":
					case "Campaign":
					case "Content":
						document.getElementById(name.toLowerCase() + "Select").selectedIndex = conditionValueToId(condition);
						document.getElementById("txt" + name).value = value;
						break;
					case "Goal":
					case "Country":
						document.getElementById(name.toLowerCase() + "Select").value = id;
						break;
					default:
						// Set category
						selectedCategory = {
							cid: cid,
							id: id,
							value: value
						};
						break;
					}
				}
				syncSegmentsList();
			}

			var definitiontofields = {
				"source": "txtSource",
				"medium": "txtMedium",
				"term": "txtTerm",
				"content": "txtContent",
				"campaign": "txtCampaign",
				"goal": "goalSelect",
				"country": "countrySelect"
			};
			var supportedfilterfields = {
				"source": true,
				"medium": true,
				"term": true,
				"content": true,
				"campaign": true,
				"goal": true,
				"country": true
			};

			function syncSegmentsList() {
                if (isValidSegments == "True") { 
				    document.getElementById("segmentslist").selectedIndex = 0;

				    var listoffields = [];
				    for (var i in supportedfilterfields) {
						if (!supportedfilterfields.hasOwnProperty(i)) continue;
						var field = document.getElementById(definitiontofields[i]);
						if (field.tagName.toLowerCase() == "input" && field.value != "") listoffields.push(i);
						else if (field.tagName.toLowerCase() == "select" && field.selectedIndex != 0) listoffields.push(i);
				    }

				    var i = segments.length;
				    while (i--) {
						var currentfields = {};
						for (var x = 0; x < listoffields.length; x++) {
							currentfields[listoffields[x]] = true;
						}

						if (segments[i].type != "segment") continue;
						var definitionmatch = true;
						for (var d = 0; d < segments[i].definition.length; d++) {
							if (!supportedfilterfields[segments[i].definition[d].n]) {
								definitionmatch = false;
								break;
							}
							var e = document.getElementById(definitiontofields[segments[i].definition[d].n]);
							var v_value = e.tagName.toLowerCase() == "input" ? e.value : getselectvalue(e);

							var eSource = document.getElementById(segments[i].definition[d].n + "Select");
							var c_value = eSource != null ? getselectvalue(eSource) : "";

							var definition_value = segments[i].definition[d].v.replace(/\~/g, "|");

							if (((typeof (segments[i].definition[d].c) == "undefined" || segments[i].definition[d].c == "") && definition_value != v_value) || (segments[i].definition[d].c != "" && segments[i].definition[d].c != c_value) || definition_value != v_value) {
								definitionmatch = false;
								break;
							}

							currentfields[segments[i].definition[d].n] = false;
						}

						if (definitionmatch) {
							var morefields = false;
							for (var x in currentfields) {
								if (!currentfields.hasOwnProperty(x)) continue;
								if (currentfields[x]) {
									morefields = true;
									break;
								}
							}
							if (!morefields) {
								setselect(document.getElementById("segmentslist"), segments[i].id);
								break;
							}
						}
				    }
                }
			}

			function conditionValueToId(conditionValue) {
				switch (conditionValue) {
				case "":
					return 0;
					break;
				case "me":
					return 1;
					break;
				case "nme":
					return 2;
					break;
				case "c":
					return 3;
					break;
				case "nc":
					return 4;
					break;
				default:
					return 0;
					break;
				}
			}

			function save() {
                if (isValidSegments == "True") { 
					syncSegmentsList();

					// Get selected values
					getSegment('Source');
					getSegment('Medium');
					getSegment('Term');
					getSegment('Campaign');
					getSegment('Content');
					getSegment('Goal');
					getSegment('Country');
				}

				// Handle categories
				if (categories.length > 0) {
					for (var i = 0; i < categories.length; i++) {
						var cid = categories[i].getAttribute("id");
						if (document.all["categorySelect" + cid].selectedIndex > 0) {
							filters.push({
								name: document.all["categorySelect" + cid].title + "_" + cid,
								cid: cid,
								id: document.all["categorySelect" + cid].options[document.all["categorySelect" + cid].selectedIndex].value,
								value: document.all["categorySelect" + cid].options[document.all["categorySelect" + cid].selectedIndex].text.replace(/\&(?!amp;)/g,"&amp;"),
                                title: categories[cid-1].innerText
							});
						}
					}
				}
				// Save selected filters
				if (isValidSegments == "True" && getselectvalue(document.getElementById("segmentslist")) != "")
					popupArguments.callback(filters, getselecttext(document.getElementById("segmentslist")));
				else
					popupArguments.callback(filters);
			}

			function getSegment(name) {
				segment = document.getElementById(name.toLowerCase() + "Select");
				switch (name) {
				case "Source":
				case "Medium":
				case "Term":
				case "Campaign":
				case "Content":
					if (segment.options[segment.selectedIndex].value != "" && document.getElementById("txt" + name).value != "") filters.push({
						name: name,
						condition: segment.options[segment.selectedIndex].value,
						value: document.getElementById("txt" + name).value
					});
                    else
                        filters.push({name:name, value:"static", type:"multiple"});
					break;
				case "Goal":
				case "Country":
                    if (segment.options[segment.selectedIndex].value != "") filters.push({
				    	name: name,
				    	id: segment.options[segment.selectedIndex].value,
				    	value: segment.options[segment.selectedIndex].text
				    });
                    else filters.push({name:name, value:"static", type:"multiple"});
				    break;
				default:
					break;
				}
			}

			function apply() {
				// Limit to 4 segments (show error)
                var foundError = false;

                if (isValidSegments == "True") { 
					if (segmentsNum > 4) {
						document.getElementById("errorTD").innerHTML = "<%=CardioLog.API.Localization.getText("$Select up to four segments by which to filter your report$")%>";
						foundError = true;
                    } 
                    
                    document.getElementById("lblSource").style.color = "black";
                    document.getElementById("lblMedium").style.color = "black";
                    document.getElementById("lblTerm").style.color = "black";
                    document.getElementById("lblCampaign").style.color = "black";
                    document.getElementById("lblContent").style.color = "black";

                    if (document.getElementById("txtSource").value != "" && document.getElementById("sourceSelect").value == "") {
			            document.getElementById("lblSource").style.color = "red";
                        foundError = true;
			        }

                    if (document.getElementById("txtMedium").value != "" && document.getElementById("mediumSelect").value == "") {
			            document.getElementById("lblMedium").style.color = "red";
                        foundError = true;
			        }

                    if (document.getElementById("txtTerm").value != "" && document.getElementById("termSelect").value == "") {
			            document.getElementById("lblTerm").style.color = "red";
                        foundError = true;
			        }

                    if (document.getElementById("txtCampaign").value != "" && document.getElementById("campaignSelect").value == "") {
			            document.getElementById("lblCampaign").style.color = "red";
                        foundError = true;
			        }

                    if (document.getElementById("txtContent").value != "" && document.getElementById("contentSelect").value == "") {
			            document.getElementById("lblContent").style.color = "red";
                        foundError = true;
			        } 
                }

                if(foundError == false){
					save();
					try {
						parent.hideSecondaryPopup();
					} catch (e) {
						parent.hidePopup();
					}
				}
			}

			function cancel() {
				try {
					parent.hideSecondaryPopup();
				} catch (e) {
					parent.hidePopup();
				}
			}

			function chooseSegment(select) {
                if (select.options[select.selectedIndex].value != "") {
					segmentsNum++;
				} else if (segmentsNum > 0) segmentsNum--;

				syncSegmentsList();
			}

			/**********************/
			/* User Segments      */
			/**********************/

			function loadSegments() {
				try {
					for (var i = 0; i < segments.length; i++) {
						if (segments[i].type != "segment") continue;
						var supportedsegment = true;
                        var ignoredsegment = false;
						for (var d = 0; d < segments[i].definition.length; d++) {
                            var definitionName = segments[i].definition[d]["n"];
                            if (definitionName == "score" || definitionName == "stype") { // ignore segment score and segment type that are not related to filters
                                break;
                            }
							else if (!supportedfilterfields[segments[i].definition[d]["n"]]) {
								supportedsegment = false;
								break;
							}
						}
						if (!supportedsegment) continue;
						option = document.createElement("option");
						option.value = segments[i].id;
						option.innerHTML = segments[i].title;
						document.getElementById("segmentslist").appendChild(option);
						option = null;
					}
				} catch (e) {}
			}

			function getselecttext(obj) {
				return obj.options[obj.selectedIndex].innerHTML;
			}

			function getselectvalue(obj) {
                return (obj.selectedIndex > -1) ? obj.options[obj.selectedIndex].value : "";
			}

			function setselect(obj, value) {
				var i = obj.options.length;
				while (i--) {
					if (obj.options[i].value == value) {
						obj.selectedIndex = i;
						return;
					}
				}
			}

			function selectsegment() {
				for (var i in definitiontofields) {
					if (!definitiontofields.hasOwnProperty(i)) continue;
					var e = document.getElementById(definitiontofields[i]);
					switch (e.tagName.toLowerCase()) {
					case "input":
						e.value = "";
						break;
					case "select":
						e.selectedIndex = 0;
						break;
					}
					var eSource = document.getElementById(i + "Select");
					if (eSource != null) eSource.selectedIndex = 0;
				}
				var id = getselectvalue(document.getElementById("segmentslist"));
				var i = segments.length;
				while (i--) {
					if (segments[i].id == id) {
						for (var d = 0; d < segments[i].definition.length; d++) {
							var e = document.getElementById(definitiontofields[segments[i].definition[d].n]);
							switch (e.tagName.toLowerCase()) {
							case "input":
								e.value = segments[i].definition[d].v.replace(/\~/g, "|");
								var eSource = document.getElementById(segments[i].definition[d].n + "Select");
								if (eSource != null) {
										setselect(eSource, segments[i].definition[d].c);
								}
								break;
							case "select":
								setselect(e, segments[i].definition[d].v);
								break;
							}
						}
						break;
					}
				}
			}

			/**********************/
			/* Goals **************/
			/* Load goals from DB */
			/**********************/
			function loadGoals() {
				try {
					for (var i = 0; i < goals.length; i++) {
						option = document.createElement("option");
						option.value = goals[i].id;
						option.innerText = goals[i].title;
						document.all["goalSelect"].appendChild(option);
						option = null;
					}
				} catch (e) {}
			}

			/*********************************/
			/* Countries *********************/
			/* Initialize countries from XML */
			/*********************************/
			function loadCountries() {
				var option;
				for (var i = 0, ii = countries.length; i < ii; i++) {
					option = document.createElement("option");
					option.value = countries[i].Key;
					option.innerText = countries[i].Value;
					document.getElementById("countrySelect").appendChild(option);
					option = null;
				}
			}

			/************************/
			/* End of User Segments */
			/************************/

			/*******************/
			/* User Categories */
			/*******************/

			function drawCategories() {
				try {
					function callback(status) {
						if (status.errorCode != 0) {
							document.all["categoriesSectionPleaseWait"].children(0).innerText = "Failed to load categories";
							document.all["categoriesSectionPleaseWait"].children(0).className = "regTextBError";
						} else {
							document.all["categoriesSectionPleaseWait"].removeNode(true);
							categories = status.ResponseXml.selectNodes(".//Category");

							if (categories.length > 0) {
								document.all["categoriesTitle"].style.display = "";
								for (var i = 0; i < categories.length; i++) {
									$("#categoriesSectionTable").append(createCategorySection(categories[i]));
									// set selected category
									if (selectedCategory && categories[i].getAttribute("id") == selectedCategory.cid) {
										document.all["categorySelect" + selectedCategory.cid].value = selectedCategory.id;
									}
								}
								handleHelpBubbles("categoriesSectionTable");
							}
						}
					}
					document.all["categoriesSectionPleaseWait"].style.display = "none";

					document.Ajax.Request("GET", "data/categories.aspx", "action=getCategories", true, false, callback);

                    window.setTimeout(syncSegmentsList, 100);
				} catch (e) {
					document.Status.print(e.description);
				}
			}

			function createCategorySection(category) {
				var cid = category.getAttribute("id");
				var tr = document.createElement("tr");
				var td1 = document.createElement("td");
				var td2 = document.createElement("td");
				var select = document.createElement("select");
				var help = document.createElement("a");

				td1.className = "regTextB wtd";
				td1.innerText = category.text + ":";

				help.id = 'categoryHelp' + cid;
				help.href = "javascript:void(0);";
				help.className = "qmark17 qblock";

				definitiontofields["categorySelect"+cid] = "categorySelect"+cid;
				supportedfilterfields["categorySelect"+cid] = true;

				select.id = "categorySelect" + cid;
				select.isFilter = true;
				select.className = "inputSelect";
				select.style.width = "170px";
				select.cid = cid;
				select.title = category.text;
				select.onchange = changeCategory;

				td2.appendChild(help);
				td2.appendChild(select);

				tr.appendChild(td1);
				tr.appendChild(td2);

				var option = document.createElement("option");
				option.value = "";
				option.innerText = "<%=CardioLog.API.Localization.getText("$All$")%>";
				select.appendChild(option);

				// create selected category
				if (selectedCategory && cid == selectedCategory.cid) {
					option = document.createElement("option");
					option.value = selectedCategory.id;
					option.innerText = selectedCategory.value;
					select.appendChild(option);
				}

				option = document.createElement("option");
				option.value = "customize";
				option.innerText = "<%=CardioLog.API.Localization.getText("$Customize$")%>...";
				select.appendChild(option);
				option = null;
				select = null;
				td1 = null;
				td2 = null;
				return tr;
			}

			function changeCategory() {
				if (this.options[this.selectedIndex].value == "customize") chooseCategoryValues(this.cid, this.title);
				else {
					lastSelectedCategoryValue[this.cid] = this.selectedIndex;
					if (this.selectedIndex != 0) resetOtherCategories(this.cid);
				}
			}

			function chooseCategoryValues(cid, title) {
				var selectedValue = (typeof (lastSelectedCategoryValue[cid]) != "undefined" && lastSelectedCategoryValue[cid] >= 1) ? document.all["categorySelect" + cid].options[lastSelectedCategoryValue[cid]] : false;
				var myJSONObject = {
					"popupArguments": [{
						href: "CategoryChooser.aspx",
						categoryId: cid,
						selectedValue: selectedValue,
						title: "<%=CardioLog.API.Localization.getText("$Select$")%> " + title,
						type: null,
						callback: chooseCategoryValuesPost,
						self: popupArguments.self
					}]
				};
				popupArguments.popupManager.ShowPopup("/CardioLog/2010/CLPage/CategoryChooser.aspx", 394, 500, myJSONObject);

				if (document.all["categorySelect" + cid].selectedIndex == document.all["categorySelect" + cid].options.length - 1) {
					document.all["categorySelect" + cid].selectedIndex = lastSelectedCategoryValue[cid];
					resetOtherCategories(cid);
				}
			}

			function resetOtherCategories(cid) {
				if ($("#categorySelect" + cid + " :selected").index() == 0) return;

				for (var i = 0; i < categories.length; i++) {
					var id = categories[i].getAttribute("id")
					if (id != cid) {
						document.all["categorySelect" + id].selectedIndex = 0;
						lastSelectedCategoryValue[id] = 0;
					}
				}
				syncSegmentsList();
			}

			function chooseCategoryValuesPost(cid, values, ids) {
				addCategory(cid, ids, values);
				resetOtherCategories(cid);
			}

			function addCategory(id, value, text) {
                for (var i = 0; i < $("#categorySelect" + id + " option").length; i++) {
                	if ($("#categorySelect" + id + " option:eq("+i+")").val() == value) {
                		//$("#categorySelect" + id + " :selected").index() = i;
                            document.all["categorySelect" + id].selectedIndex = i;
                		lastSelectedCategoryValue[id] = i;
                		break;
                	}
                }
                
                var newOption = new Option(text,value, false, false);
                newOption.innerText = text;
                
                $(newOption).insertBefore(document.all["categorySelect" + id].children[document.all["categorySelect" + id].children.length - 1]);
                
                document.all["categorySelect" + id].selectedIndex = document.all["categorySelect" + id].children.length - 2;
                option = null;
                lastSelectedCategoryValue[id] = document.all["categorySelect" + id].selectedIndex;
			}

			/**************************/
			/* End of User Categories */
			/**************************/

            function chooseSegmentGroup(obj) {
                if (obj.id == "SegmentsRadioButton") {
                    document.getElementById("predefinedSegmentsSection").disabled = true;
                    document.getElementById("predefinedSegmentsRadioButton").checked = false;
                    document.getElementById("visitorSegmentsDiv").disabled = false;
                    document.getElementById("SegmentsRadioButton").checked = true;
                } else {
                    document.getElementById("predefinedSegmentsSection").disabled = false;
                    document.getElementById("predefinedSegmentsRadioButton").checked = true;
                    document.getElementById("visitorSegmentsDiv").disabled = true;
                    document.getElementById("SegmentsRadioButton").checked = false;
                }
            }

		// Help bubbles building code
		$(document).ready(function(){
			handleHelpBubbles("segmentsTable");
		});

		var qmarkData = { 
	        sourceHelp: "<%=CardioLog.API.Localization.getText("$Segments Source Help$")%>",
			mediumHelp: "<%=CardioLog.API.Localization.getText("$Segments Medium Help$")%>",
			termHelp: "<%=CardioLog.API.Localization.getText("$Segments Term Help$")%>",
			campaignHelp: "<%=CardioLog.API.Localization.getText("$Segments Campaign Help$")%>",
			contentHelp: "<%=CardioLog.API.Localization.getText("$Segments Content Help$")%>",
			goalHelp: "<%=CardioLog.API.Localization.getText("$Segments Goals Help$")%>",
			countryHelp: "<%=CardioLog.API.Localization.getText("$Segments Country Help$")%>"
        }

        function handleHelpBubbles(tableName) {
            var prefbody = document.getElementById(tableName);
            var atags = prefbody.getElementsByTagName("A");

			// categoriesSectionTable's 'a' elements do not get processed
	        for (var i = 0; i < atags.length; i++) {
		        var _a = atags[i];

		        if (_a.className.indexOf('qmark') > -1) {
			        _a.data = qmarkData[_a.id];
			        _a.onclick = function() {return false;}
			        _a.onmouseover = function () {
				        window.top.document.openQBubble(window, this.offsetParent.outerHTML, this, this.data, 420);
			        };
		        }
	        } 
        }

        </script>
		<style>
			.w150 
			{
				width: 150px;
			}
			.qblock
			{
				display:inline-block;
				float: left;
			}
			.wtd
			{
				width: 170px;
			}
		</style>
	</HEAD>
    <%
        string conditionOptions = @"
        <option value=''>[" + CardioLog.API.Localization.getText("$Choose$") + @"]</option>
	    <option value='me'>" + CardioLog.API.Localization.getText("$Matches exactly$") + @"</option>
	    <option value='nme'>" + CardioLog.API.Localization.getText("$Does not match exactly$") + @"</option>
	    <option value='c'>" + CardioLog.API.Localization.getText("$Contains$") + @"</option>
	    <option value='nc'>" + CardioLog.API.Localization.getText("$Does not contain$") + @"</option>";
    %>                     
	<BODY scroll='no' class="popupBODY">
	    <popup:top Title="$Select Visitor Segments$" runat="server" id="top"/>
		<div style="height:519px; overflow-y:auto; border: 1px solid black;">
        <table id="segmentsTable" class="2010_popup_boxContentWindow" cellpadding="0" cellspacing="0" border="0" width="100%" style="background-color:#EAEAEA; padding-top:35px; height:100%;" class="popup_Border">
			<tr>
                <td class="2010_popup_selectscrollpanelButtonSubtab" style="padding-left:10px; padding-right:10px; padding-bottom:10px;">
                    <%if (CardioLog.API.ProductLicense.ProductFeatures.IsValidSegments)
                      { %>
					<div id="predefinedSegmentsDiv" class="boxSubheaderText" style="margin-bottom: 18px;">
						<input type="radio" name="SegmentsRadioButtonSelect" id="predefinedSegmentsRadioButton" onclick="chooseSegmentGroup(this)" />
						<label for="predefinedSegmentsRadioButton"><%=CardioLog.API.Localization.getText("$Pre-defined Segments$")%>:</label>
						<table id="predefinedSegmentsSection" border="0" cellspacing="0" cellpadding="5" width="100%" style="padding-top:3px; padding-bottom:3px; table-layout:fixed;">
							<tr><td class="regTextB wtd"><%=CardioLog.API.Localization.getText("$Segment$")%>:</td>
								<td>
								<a class="qmark17 qblock" id='predefinedSegmentHelp' href="javascript:void(0);"></a>
								<select id="segmentslist" class="inputSelect" style="width:170px" onchange="selectsegment(this)"><option value="">[<%=CardioLog.API.Localization.getText("$Choose$")%>]</option></select></td>
							</tr>
						</table>
					</div>

					<div id="segmentsDiv" class="boxSubheaderText">
						<input type="radio" name="SegmentsRadioButtonSelect" id="SegmentsRadioButton" checked="checked" onclick="chooseSegmentGroup(this)" />
						<label for="SegmentsRadioButton"><%=CardioLog.API.Localization.getText("$Visitor Segments$")%>:</label>
						<div id="visitorSegmentsDiv" class="boxSubheaderText">
                            <table id="trafficSourcesTitle" cellpadding="5" cellspacing="0" border="0" width="100%" style="CURSOR:default;">
						        <tr><td class="boxSubheaderText"><%=CardioLog.API.Localization.getText("$Traffic Sources$")%>:</td></tr>
					        </table>
					        <table id="trafficSourcesTable" border="0" cellspacing="0" cellpadding="5" width="100%" style="padding-top:3px; padding-bottom:3px; table-layout:fixed; margin-bottom: 18px;">
						        <tr>
									<td id="lblSource" class="regTextB wtd"><%=CardioLog.API.Localization.getText("$Source (Traffic Source)$")%>:</td>
									<td>
										<a class="qmark17 qblock" id='sourceHelp' href="javascript:void(0);"></a>
										<select id="sourceSelect" class="inputSelect w150" onchange="chooseSegment(this)">
										<%=conditionOptions %>
										</select>
										<input type="text" id="txtSource" value="" class="inputText" style="width:170px" />
									</td>
						        </tr>
						        <tr>
									<td id="lblMedium" class="regTextB wtd"><%=CardioLog.API.Localization.getText("$Medium$")%>:</td>
								    <td>
										<a class="qmark17 qblock" id='mediumHelp' href="javascript:void(0);"></a>
										<select id="mediumSelect" class="inputSelect w150" onchange="chooseSegment(this)">
										<%=conditionOptions %>
										</select>
										<input type="text" id="txtMedium" value="" class="inputText" style="width:170px" />
									</td>
						        </tr>
						        <tr>
									<td id="lblTerm" class="regTextB wtd"><%=CardioLog.API.Localization.getText("$Term$")%>:</td>
									<td>
										<a class="qmark17 qblock" id='termHelp' href="javascript:void(0);"></a>
										<select id="termSelect" class="inputSelect w150" onchange="chooseSegment(this)">
										<%=conditionOptions %>
										</select>
										<input type="text" id="txtTerm" value="" class="inputText" style="width:170px" />
									</td>
						        </tr>
						        <tr>
									<td id="lblCampaign" class="regTextB wtd"><%=CardioLog.API.Localization.getText("$Campaign$")%>:</td>
									<td>
										<a class="qmark17 qblock" id='campaignHelp' href="javascript:void(0);"></a>
										<select id="campaignSelect" class="inputSelect w150" onchange="chooseSegment(this)">
										<%=conditionOptions %>
										</select>
										<input type="text" id="txtCampaign" value="" class="inputText" style="width:170px" />
									</td>
						        </tr>
						        <tr>
									<td id="lblContent" class="regTextB wtd"><%=CardioLog.API.Localization.getText("$Content$")%>:</td>
									<td>
										<a class="qmark17 qblock" id='contentHelp' href="javascript:void(0);"></a>
										<select id="contentSelect" class="inputSelect w150" onchange="chooseSegment(this)">
										<%=conditionOptions %>
										</select>
										<input type="text" id="txtContent" value="" class="inputText" style="width:170px" />
									</td>
						        </tr>
					        </table>

					        <table id="goalTitle" cellpadding="5" cellspacing="0" border="0" width="100%" style="CURSOR:default">
						        <tr><td class="boxSubheaderText"><%=CardioLog.API.Localization.getText("$User Behavior$")%>:</td></tr>
					        </table>
					        <table id="goalTable" border="0" cellspacing="0" cellpadding="5" width="100%" style="padding-top:3px; padding-bottom:3px; table-layout:fixed; margin-bottom: 18px;">
						        <tr>
									<td class="regTextB wtd"><%=CardioLog.API.Localization.getText("$Goal$")%>:</td>
									<td>
										<a class="qmark17 qblock" id='goalHelp' href="javascript:void(0);"></a>
										<select id="goalSelect" style="width:170px" class="inputSelect" onchange="chooseSegment(this)">
											<option value=''><%=CardioLog.API.Localization.getText("$All$")%></option>
										</select>
									</td>
						        </tr>
					        </table>

					        <table id="countryTitle" cellpadding="5" cellspacing="0" border="0" width="100%" style="CURSOR:default">
						        <tr><td class="boxSubheaderText"><%=CardioLog.API.Localization.getText("$Details and demographics$")%>:</td></tr>
					        </table>
					        <table id="countryTable" border="0" cellspacing="0" cellpadding="5" width="100%" style="padding-top:3px; padding-bottom:3px; table-layout:fixed; margin-bottom: 18px;">
						        <tr>
									<td class="regTextB wtd"><%=CardioLog.API.Localization.getText("$Country$")%>:</td>
									<td>
										<a class="qmark17 qblock" id='countryHelp' href="javascript:void(0);"></a>
										<select id="countrySelect" style="width:170px" class="inputSelect" onchange="chooseSegment(this)">
											<option value=''><%=CardioLog.API.Localization.getText("$All$")%></option>
										</select>
									</td>
						        </tr>
					        </table>

                            <% } %>

							<table id ="categoriesTitleTable" cellpadding="5" cellspacing="0" border="0" width="100%" style="CURSOR:default">
								<tr id="categoriesTitle" style="display:none;"><td class="boxSubheaderText"><%=CardioLog.API.Localization.getText("$User Categories$")%>:</td></tr>
							</table>

					        <table id="categoriesSectionTable" border="0" cellspacing="0" cellpadding="5" width="100%" style="padding-top:3px; padding-bottom:3px; table-layout:fixed;">
								<tr id="categoriesSectionPleaseWait" style="display:none;"><td class="regTextB wtd"><%=CardioLog.API.Localization.getText("$Loading Categories$")%>...</td></tr>
					        </table>
                        
                        </div> 
                    </div>
				</td>
			</tr>
            <tr>
			    <td align="left" class="error" id="errorTD" style="PADDING-LEFT:5px;">
			    </td>
			</tr>
		</table>
		</div>
		<div class="2010_popup_black_horizontalSeparator"><img src="/CardioLog/images/blank.gif" ></div>

		<!-- needed for tooltips(help bubbles) to work -->
		<div class="qbubble" id="qbubble"><div class="qtop"></div><div class="qmid"><div class="qtext" id="qtxt"></div></div><div class="qbot"></div></div>
	    <popup:bottom ButtonOK="True" ButtonCancel="True" runat="server" ID="bottom"/>
	</BODY>
</HTML>