﻿<%@ WebService Language="C#"  Class="SocialSrv" %>
using System;
using System.Collections.Generic;
using System.Web;
using System.Web.Services;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Administration;
using Microsoft.SharePoint.Deployment;
using System.Collections.Specialized;
using System.Text;
using System.Diagnostics;


/// <summary>
/// Summary description for SpidFinder
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[Serializable]
public class SocialSrv : System.Web.Services.WebService
{

    public SocialSrv()
    {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    public SocialWebChunkResult GetSocialInfoByUrl_ByWebChunks(string webUrl)
    {
        SocialWebChunkResult result = null;
        if (getWebConfigAppSettingsValue("SpidFinderRunWithElevatedPrivileges").ToLower() == "false")
        {
            result = getSocialInfoByUrl_ByChunks(webUrl);
        }
        else
        {
            SPSecurity.RunWithElevatedPrivileges(delegate()
            {
                result = getSocialInfoByUrl_ByChunks(webUrl);
            });
        }

        return result;
    }
    
    

    [WebMethod]
    public SocialResult GetSocialInfoByUrl(string url)
    {
        SocialResult result = null;
        if (getWebConfigAppSettingsValue("SpidFinderRunWithElevatedPrivileges").ToLower() == "false")
        {
            result = getSocialInfoByUrl(url);
        }
        else
        {
            SPSecurity.RunWithElevatedPrivileges(delegate()
            {
                result = getSocialInfoByUrl(url);
            });
        }

        return result;
    }


    private List<SPSSocialData> getFolderSocialInfo(SPFolder folder)
    {
        List<SPSSocialData> results = new List<SPSSocialData>();
        try
        {
            loadFiles(results, folder);
        }
        catch //(Exception ex)
        {
        }

        return results;
    }

    private List<SPSSocialData> getListSocialInfo(SPList list)
    {
        List<SPSSocialData> results = new List<SPSSocialData>();
        try
        {
            SPQuery query = buildQuery(list);
            while (loadListItemsByPaging(results, list, query))
            {
            }
        }
        catch //(Exception ex)
        {
        }

        return results;
    }

    /// <summary>
    /// 
    /// </summary>
    /// <param name="list"></param>
    /// <returns></returns>
    SPQuery buildQuery(SPFolder folder)
    {
        SPQuery query = new SPQuery();
        query.RowLimit = 1000;
        query.QueryThrottleMode = SPQueryThrottleOption.Override;

        StringBuilder fieldsQuery = new StringBuilder();

        //SPFieldCollection spFields = folder. .Fields;

        //string[] _fields = new string[] {
        //        "ID",
        //        "FileRef",
        //        "Rating (0-5)",//"AverageRating",
        //        "Number of Ratings",
        //        "Ratings",
        //        "Number of Likes"//"LikesCount"
        //    };


        //foreach (string field in _fields)
        //{
        //    if (!spFields.ContainsField(field))
        //    {
        //        return null;
        //    }

        //    fieldsQuery.Append("<fieldref name='" + field + "' nullable='TRUE'></fieldref>");
        //}

        //query.ViewFields = fieldsQuery.ToString();
        //query.ViewFieldsOnly = true;
        query.Query = ""; // @"<Where><Or><IsNotNull><FieldRef Name='Number of Likes' /></IsNotNull><IsNotNull><FieldRef Name='Number of Ratings' /></IsNotNull></Or></Where>";

        return query;
    }
    
    /// <summary>
    /// 
    /// </summary>
    /// <param name="list"></param>
    /// <returns></returns>
    SPQuery buildQuery(SPList list)
    {
        SPQuery query = new SPQuery();
        query.RowLimit = 1000;
        query.QueryThrottleMode = SPQueryThrottleOption.Override;

        StringBuilder fieldsQuery = new StringBuilder();

        SPFieldCollection spFields = list.Fields;

        string[] _fields = new string[] {
                "ID",
                "FileRef",
                "Rating (0-5)",//"AverageRating",
                "Number of Ratings",
                "Ratings",
                "Number of Likes"//"LikesCount"
            };


        foreach (string field in _fields)
        {
            if (!spFields.ContainsField(field))
            {
                return null;
            }

            fieldsQuery.Append("<fieldref name='" + field + "' nullable='TRUE'></fieldref>");
        }

        //query.ViewFields = fieldsQuery.ToString();
        //query.ViewFieldsOnly = true;
        query.Query = ""; // @"<Where><Or><IsNotNull><FieldRef Name='Number of Likes' /></IsNotNull><IsNotNull><FieldRef Name='Number of Ratings' /></IsNotNull></Or></Where>";

        return query;
    }
    
    
    
    /// <summary>
    /// 
    /// </summary>
    /// <param name="results"></param>
    /// <param name="list"></param>
    /// <param name="query"></param>
    /// <returns></returns>
    void loadFiles(List<SPSSocialData> results, SPFolder folder)
    {
        //query.ListItemCollectionPosition = collection.ListItemCollectionPosition;
        
        for (var i = 0; i < folder.Files.Count; i++)
        {
            SPListItem itemData = folder.Files[i].GetListItem();

            var itemData2 = new SPSSocialData
            {
                SPID = itemData.UniqueId,
                WebId = itemData.Web.ID,
                URL = itemData.Url,
                LikesCount = parseInt(itemData, "Number of Likes"),
                RatingCount = parseInt(itemData, "Number of Ratings"),
                RatingAverage = parseDouble(itemData, "Rating (0-5)")
            };

            if (itemData2.LikesCount.HasValue || itemData2.RatingCount.HasValue || itemData2.RatingAverage.HasValue)
            {
                results.Add(itemData2);
            }
        }

        for (var i = 0; i < folder.SubFolders.Count; i++)
        {
            loadFiles(results, folder);
        }
        
        //return query.ListItemCollectionPosition != null;
    }

        
                
    /// <summary>
    /// 
    /// </summary>
    /// <param name="results"></param>
    /// <param name="list"></param>
    /// <param name="query"></param>
    /// <returns></returns>
    bool loadListItemsByPaging(List<SPSSocialData> results, SPList list, SPQuery query)
    {
        var collection = list.GetItems(query);

        query.ListItemCollectionPosition = collection.ListItemCollectionPosition;
        
        for (var i = 0; i < collection.Count; i++)
        {
            var itemData = collection[i];

            var itemData2 = new SPSSocialData
            {
                SPID = itemData.UniqueId,
                WebId = itemData.Web.ID,
                //WebUrl = itemData.Web.Url,
                URL = itemData.Web.Url + "/" + itemData.Url,
                LikesCount = parseInt(itemData, "Number of Likes"),
                RatingCount = parseInt(itemData, "Number of Ratings"),
                RatingAverage = parseDouble(itemData, "Rating (0-5)")
            };

            if (itemData2.LikesCount.HasValue || itemData2.RatingCount.HasValue || itemData2.RatingAverage.HasValue)
            {
                results.Add(itemData2);
            }
        }

        return query.ListItemCollectionPosition != null;
    }
    
    /// <summary>
    /// 
    /// </summary>
    /// <param name="key"></param>
    /// <returns></returns>
    private string getWebConfigAppSettingsValue(string key)
    {
        string val = string.Empty;
        string tempVal = System.Configuration.ConfigurationManager.AppSettings[key];
        if (!string.IsNullOrEmpty(tempVal)) val = tempVal;
        return val;
    }

    
    private static int? parseInt(SPListItem itemData, string fieldName)
    {
        int? result = null;
        if (itemData.Fields.ContainsField(fieldName) &&
            itemData[fieldName] != null)
        {
            int intVal;
            if (int.TryParse(itemData[fieldName].ToString(), out intVal))
            {
                result = intVal;
            }
        }

        return result;
    }

    private static double? parseDouble(SPListItem itemData, string fieldName)
    {
        double? result = null;
        if (itemData.Fields.ContainsField(fieldName) &&
            itemData[fieldName] != null)
        {
            double doubleVal;
            if (double.TryParse(itemData[fieldName].ToString(), out doubleVal))
            {
                result = doubleVal;
            }
        }

        return result;
    }



    private SocialWebChunkResult getSocialInfoByUrl_ByChunks(string webUrl)
    {
        return getSocialInfo_ByChunks(new SPSite(webUrl).OpenWeb());
    }

    private SocialWebChunkResult getSocialInfo_ByChunks(SPWeb web)
    {
        SocialWebChunkResult result = new SocialWebChunkResult();

        foreach (SPList list in web.Lists)
        {
            result.Data.AddRange(getListSocialInfo(list));
        }

        foreach (SPWeb nestedWeb in web.Webs)
        {
            result.NextedWebs.Add(nestedWeb.Url);
        }

        return result;
    }
            
    private SocialResult getSocialInfoByUrl(string url)
    {
        return getSocialInfo(new SPSite(url).OpenWeb());
    }


    private SocialResult getSocialInfo(Guid siteId)
    {
        return getSocialInfo(new SPSite(siteId).OpenWeb());
    }

    private SocialResult getSocialInfo(SPWeb web)
    {
        SocialResult result = new SocialResult();

        foreach (SPList list in web.Lists)
        {
            result.Data.AddRange(getListSocialInfo(list));
        }

        foreach (SPWeb nestedWeb in web.Webs)
        {
            result.Data.AddRange(getSocialInfo(nestedWeb).Data);
        }
        
        return result;
    }
}

public class SocialResult
{
    public SocialResult()
    {
        this.Data = new List<SPSSocialData>();
    }

    public List<SPSSocialData> Data { get; set; }
}


public class SocialWebChunkResult : SocialResult
{
    public SocialWebChunkResult()
    {
        this.NextedWebs = new List<string>();
    }

    public List<string> NextedWebs { get; set; }
}


public class SPSSocialData
{
    internal Guid SiteId { get; set; }
    public Guid WebId { get; set; }
    public Guid SPID { get; set; }
    public string URL { get; set; }
    //public string WebUrl { get; set; }
    
    public double? RatingAverage { get; set; }
    public int? RatingCount { get; set; }
    public int? LikesCount { get; set; }
}
